Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaComplexType

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaType
                  org.apache.ws.commons.schema.XmlSchemaComplexType

    public class XmlSchemaComplexType

extends XmlSchemaType

Class for complex types. Defines a complex type that determines the set of attributes and content of an element. Represents the World Wide Web Consortium (W3C) complexType element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaComplexType(XmlSchema schema)` Creates new XmlSchemaComplexType

Method Summary
`XmlSchemaAnyAttribute` | `getAnyAttribute()`
`XmlSchemaObjectCollection` | `getAttributes()`
`XmlSchemaObjectTable` | `getAttributeUses()`
`XmlSchemaAnyAttribute` | `getAttributeWildcard()`
`javax.xml.namespace.QName` | `getBaseSchemaTypeName()` Return the QName of the base schema type, if any, as defined in the content model.
`XmlSchemaDerivationMethod` | `getBlock()`
`XmlSchemaDerivationMethod` | `getBlockResolved()`
`XmlSchemaContentModel` | `getContentModel()`
`XmlSchemaContentType` | `getContentType()`
`XmlSchemaParticle` | `getContentTypeParticle()`
`XmlSchemaParticle` | `getParticle()`
`boolean` | `isAbstract()`
`boolean` | `isMixed()`
`void` | `setAbstract(boolean b)`
`void` | `setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)`
`void` | `setBlock(XmlSchemaDerivationMethod block)`
`void` | `setContentModel(XmlSchemaContentModel contentModel)`
`void` | `setContentType(XmlSchemaContentType contentType)`
`void` | `setMixed(boolean b)`
`void` | `setParticle(XmlSchemaParticle particle)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaType
`getBaseSchemaType, getDataType, getDeriveBy, getFinal, getFinalResolved, getName, getQName, setFinal, setName, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaComplexType

    public XmlSchemaComplexType(XmlSchema schema)

  Creates new XmlSchemaComplexType

Method Detail

### getAnyAttribute

    public XmlSchemaAnyAttribute getAnyAttribute()

### setAnyAttribute

    public void setAnyAttribute(XmlSchemaAnyAttribute anyAttribute)

### getAttributes

    public XmlSchemaObjectCollection getAttributes()

### getAttributeUses

    public XmlSchemaObjectTable getAttributeUses()

### getAttributeWildcard

    public XmlSchemaAnyAttribute getAttributeWildcard()

### getBlock

    public XmlSchemaDerivationMethod getBlock()

### setBlock

    public void setBlock(XmlSchemaDerivationMethod block)

### getBlockResolved

    public XmlSchemaDerivationMethod getBlockResolved()

### getContentModel

    public XmlSchemaContentModel getContentModel()

### setContentModel

    public void setContentModel(XmlSchemaContentModel contentModel)

### getContentType

    public XmlSchemaContentType getContentType()

### setContentType

    public void setContentType(XmlSchemaContentType contentType)

### getContentTypeParticle

    public XmlSchemaParticle getContentTypeParticle()

### isAbstract

    public boolean isAbstract()

### setAbstract

    public void setAbstract(boolean b)

### isMixed

    public boolean isMixed()

  Overrides:
    `isMixed` in class `XmlSchemaType`

### setMixed

    public void setMixed(boolean b)

  Overrides:
    `setMixed` in class `XmlSchemaType`

### getParticle

    public XmlSchemaParticle getParticle()

### setParticle

    public void setParticle(XmlSchemaParticle particle)

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

### getBaseSchemaTypeName

    public javax.xml.namespace.QName getBaseSchemaTypeName()

  Return the QName of the base schema type, if any, as defined in the content model.

  Overrides:
    `getBaseSchemaTypeName` in class `XmlSchemaType`
  Returns:
    the qualified name of the base schema type. Return null if none (e.g. for simple types).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.